Bug Hunting Session
Bug 38242 - format ordinal number suffix not auto-correcting
Summary: format ordinal number suffix not auto-correcting
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:3.7.0 target:3.6.2
Keywords: regression
: 48936 48971 52397 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-06-13 04:56 UTC by thaddeusn
Modified: 2018-11-25 07:41 UTC (History)
14 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description thaddeusn 2011-06-13 04:56:35 UTC
In Writer, Tools, Autocorrect Options, format ordinal numbers suffixes, with both M and T selected and saved: when typing into a new or old document, will not raise up the suffix (for example, 2nd will not lift the "nd" higher, as was done on previous versions of libreoffice).  Note that in an older (pre-3.4.0) document the suffix will display raised unless it is deleted.  Format-Character-Position-Superscript will force the characters to be raised, FWIW.
Comment 1 David C. Rankin 2011-07-18 14:01:29 UTC
I too have confirmed this behavior in LibreOffice 3.4.1 OOO340m1 (Build:103).

Text characters of ordinals, such as 1st, 2nd, or 3rd, are NOT formatted as superscripts by autocorrect. I have unchecked and re-checked the Tools->AutoCorrect Options->Localized Options M[ ] T[ ] Format ordinal numbers ans suffixes (1st->1^st) and it does not work at all in writer. It used to work just fine. Dunno what broke it?
Comment 2 Alan Chandler 2011-12-02 07:08:25 UTC
Failure to autoformat ordinal suffix still not fixed in 3.4.4
Comment 3 Björn Michaelsen 2011-12-23 12:29:41 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 4 sasha.libreoffice 2012-01-26 02:48:27 UTC
Linux-specific bug
reproduced in LibO 3.6.0 master on Fedora 64 bit
Comment 5 Florian Schmitt 2012-05-03 23:59:35 UTC
I can resproduce this with lastest stable (3.5.3.2, english (UK) localization, but only under linux. Windows version seems to work fine.
Comment 6 Paddy Landau 2012-05-09 09:10:33 UTC
I also have this problem on Ubuntu 12.04 64-bit, LibreOffice 3.5.2.2.
Comment 7 peterthevicar 2012-05-12 04:14:44 UTC
Confirmed in Ubuntu 12.04 (precise pangolin) version 1:3.5.3-0ubuntu1
Comment 8 Peter Sewell 2012-05-14 08:22:43 UTC
This is also affecting me in Ubuntu 12.04 (64 bit) using LibreOffice 3.5.3.2

Only started affecting me after upgrade from ubuntu 11.10.
Comment 9 Peter Sewell 2012-05-14 08:25:14 UTC
*** Bug 48971 has been marked as a duplicate of this bug. ***
Comment 10 sasha.libreoffice 2012-05-14 08:28:08 UTC
Version: most old version of office where bug reproduced.
Changing again to 3.4.4
Comment 11 Jesse Bright 2012-05-22 10:54:26 UTC
I can confirm this bug on 32-bit Xubuntu 12.04 running LO 3.5.3.2. This did not affect me until after the updated from Ubuntu 11.10.
Comment 12 Joshua O'Leary 2012-05-28 12:04:33 UTC
Still occurs in Ubuntu 12.04, using version from ppa 3.5.4.2
Comment 13 bfoman (inactive) 2012-06-28 09:05:45 UTC
*** Bug 48936 has been marked as a duplicate of this bug. ***
Comment 14 John Farrar 2012-07-14 18:22:51 UTC
Still present in 3.6.0RC1
Comment 15 Christopher M. Penalver 2012-07-17 19:36:35 UTC
John Farrar, please do not toggle the version. For more on this please see http://wiki.documentfoundation.org/BugReport_Details#Version .
Comment 16 sasha.libreoffice 2012-07-20 10:57:21 UTC
reproduced in 3.5.5 on Fedora 64 bit
not reproduced in 3.3.4, setting keyword "regression"
Comment 17 art guerra 2012-08-25 04:08:58 UTC
Still present in 3.6.1 for windows
Comment 18 dE 2012-08-25 07:01:50 UTC
Its not sill present, it happens now in Windows too.
Comment 19 tim 2012-08-31 21:24:25 UTC
I get it as well, Ubuntu 12.04 64 bit, with 3.5.5 and latterly 3.5.6.  It was OK at some point in the past 6 months or so, but I can't confirm which release that was.

It's quite irritating.

I have a laptop running Mint Debian 32 bit and that's still OK on 3.5.6.

I think #52397 has been raised with the same problem.
Comment 20 Joshua O'Leary 2012-09-01 21:14:21 UTC
*** Bug 52397 has been marked as a duplicate of this bug. ***
Comment 21 Michael Stahl (CIB) 2012-09-06 13:13:49 UTC
it seems that the change is that this 2nd -> 2^nd replacement is now somehow language dependent:

OOo 3.4beta: 2nd will be autocorrected even if LC_ALL=de_DE and the currently active document language is German.

LO 3.4.6 and current 3.5:
 2nd will not be autocorrected if the locale LC_ALL=de_DE _or_ active document language is German, but will be document language is English (USA) _and_ LC_ALL=en_US

LO 3.6: can't get 2nd autocorrected at all here

LO master:
 2nd will not be autocorrected if the currently active document language is German, but will be if it is English (USA),
 the LC_ALL setting does not make a difference

is that language dependence a feature?
Comment 22 Michael Stahl (CIB) 2012-09-06 13:29:27 UTC
the problem in 3.6 is fixed by this commit from master:
defe079d455ccc958fd0128e8a8cf0e4aeb5cd9c

the git log indicates that there is apparently a feature to make
the autocorrect language dependent, OOo issue 20348, implemented by Cedric.
Comment 23 Michael Stahl (CIB) 2012-09-06 13:39:29 UTC
fixed on libreoffice-3-6 now:

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-6&id=966c1bd122d8258dd8b1abfe638de7b1ce0d3c98

it appears that the language dependence is intentional,
so i think this is FIXED now.
Comment 24 Caolán McNamara 2012-09-06 13:41:55 UTC
Yeah, the feature is supposed to now be language dependant. i.e. 1st, 2nd, 3rd
for English, while 1er, 2e, etc. for French.

3.6 is busted in that it carefully determines that e.g. "st" is indeed the
right suffix for English but then ignores it

http://cgit.freedesktop.org/libreoffice/core/commit/?id=defe079d455ccc958fd0128e8a8cf0e4aeb5cd9c

fixes that

The additional
http://cgit.freedesktop.org/libreoffice/core/commit/?id=a05357ab69712bec53c2d8d17efbbf25907ff9b8
makes the features safe against the unexpected
Comment 25 sasha.libreoffice 2012-09-07 05:50:04 UTC
Thanks for explanations of how to use this feature properly
Comment 26 Peter Sewell 2012-09-07 13:55:58 UTC
I'm sorry but I just don't get this!

This bug has been marked as Fixed but I still can't get it to work.

I have English UK set as my default language and it doesn't change the 1st or 2nd or anything else for that matter to the superscript. So what am I doing wrong?

Can someone please explain. I'm on version 3.6.0.2 using Ubuntu 12.04 64 bit.

Thanks
Comment 27 Caolán McNamara 2012-09-07 14:14:13 UTC
we only fixed it yesterday, it will be available in 3.6.2, there's a bot that's supposed to fill that info in, appears to have failed in this case.
Comment 28 Peter Sewell 2012-09-07 14:22:39 UTC
Thank you - I thought I was going mad!

I'll await the next version to come out.
Comment 29 Paddy Landau 2012-09-07 15:10:59 UTC
(In reply to comment #27)
> we only fixed it yesterday, it will be available in 3.6.2...

Will version 3.6.2 be loaded to the Libre Office PPA [1]? Version 3.6.1 (64-bit) has still not been put onto the PPA.

[1] https://launchpad.net/~libreoffice/+archive/ppa/
Comment 30 Christopher M. Penalver 2012-09-09 00:40:40 UTC
Paddy Landau, https://bugs.freedesktop.org is the upstream bug tracker for LibreOffice. If you have questions about the LibreOffice PPA, which is provided downstream by the LibreOffice Packaging team ( https://launchpad.net/~libreoffice ), you will want to E-Mail the PPA owners mailing list -> libreoffice@lists.launchpad.net .
Comment 31 Paddy Landau 2012-09-09 11:26:57 UTC
Christopher M. Penalver: Thank you. I shall follow up there.
Comment 32 Peter Sewell 2012-09-09 12:18:18 UTC
I emailed the guy who's in charge of the PPA to just let him know that the PPA failed to build the Libreoffice 3.6.1 and he replied that he was fully aware of the build fail but didn't have me any update on when it would be built successfully.

I didn't want to step on his toes but thought I would have had a better reply.
Comment 33 Paddy Landau 2012-09-09 13:21:00 UTC
> I emailed the guy who's in charge of the PPA...

Thank you, Peter Sewell. You beat me to it! At least we know it's in hand.
Comment 34 ponchorat1968 2013-01-01 14:52:06 UTC
So... This is still an ongoing problem or not?
If so, why is it marked as Resolved/Fixed?
I am rumming Ubuntu 12.04(64bit) LO Version 3.6.0.2 (Build ID: 360m1(Build:102))
and STILL cant get the date fuction working properly...
Comment 35 Christopher M. Penalver 2013-01-01 15:34:33 UTC
ponchorat1968@hotmail.com, regarding your comments https://bugs.freedesktop.org/show_bug.cgi?id=38242#c34 :

>"So... This is still an ongoing problem or not? If so, why is it marked as Resolved/Fixed?"

As you may notice reading the bug report, Comment 23 https://bugs.freedesktop.org/show_bug.cgi?id=38242#c23 , and 24 https://bugs.freedesktop.org/show_bug.cgi?id=38242#c24 note a commit addressing the problem reported about in the Description https://bugs.freedesktop.org/show_bug.cgi?id=38242#c0 was submitted to the master and 3.6 branch respectively.

>"I am rumming Ubuntu 12.04(64bit) LO Version 3.6.0.2 (Build ID: 360m1(Build:102))"

As per https://wiki.documentfoundation.org/ReleasePlan#3.6_release 3.6.0.2 is no longer a supported version of LibreOffice.

>"and STILL cant get the date fuction working properly..."

If you have found a bug in supported version of LibreOffice as per https://wiki.documentfoundation.org/ReleasePlan you are welcome to file a new report following http://wiki.documentfoundation.org/BugReport .
Comment 36 Alessandro Ceschini 2013-06-07 16:34:59 UTC
I confirm with LibreOffice 4.0.2.2 the bug is still there.
Comment 37 Alessandro Ceschini 2013-06-07 16:38:07 UTC
It shouldn't be marked as fixed
Comment 38 sasha.libreoffice 2013-06-08 06:08:22 UTC
in 4.0.3 on Fedora (RFR) 64 bit in English text works properly
(this is English-specific functionality)
Comment 39 Paddy Landau 2013-06-08 10:32:10 UTC
I am using 4.0.3.3 in Ubuntu 12.04, and it works correctly (tested both UK and USA English).

@Allessandro Ceschini - I suggest that you upgrade to the latest Libre Office.
Comment 40 Alessandro Ceschini 2013-06-08 10:33:39 UTC
(In reply to comment #38)
> in 4.0.3 on Fedora (RFR) 64 bit in English text works properly
> (this is English-specific functionality)

Hi sasha, I don't think it's English-specific, anyway, I tried with English in LO 4.0.2.2 on Ubuntu 13.04 and even that doesn't work. The bug isn't fixed. It should be reopened.
Comment 41 Alessandro Ceschini 2013-06-08 10:34:55 UTC
(In reply to comment #39)
> I am using 4.0.3.3 in Ubuntu 12.04, and it works correctly (tested both UK
> and USA English).
> 
> @Allessandro Ceschini - I suggest that you upgrade to the latest Libre
> Office.

I supposed 4.0.2.2 was the current release, isn't it?
Comment 42 Paddy Landau 2013-06-08 10:38:32 UTC
(In reply to comment #41)
> I supposed 4.0.2.2 was the current release, isn't it?

Download the latest version from the official website:
http://www.libreoffice.org/download
Comment 43 Alessandro Ceschini 2013-06-08 11:05:18 UTC
(In reply to comment #42)
> (In reply to comment #41)
> > I supposed 4.0.2.2 was the current release, isn't it?
> 
> Download the latest version from the official website:
> http://www.libreoffice.org/download

If I do so I shall uninstall the version provided by the Software Centre. Is it worth the hassle? I'd better wait for this version to be released officially by Ubuntu. Thanks anyway for notifying me the bug has been fixed in version 4.0.3. Good to know.
Comment 44 sasha.libreoffice 2013-06-08 11:11:18 UTC
in 3.6.5.2 it also works correctly.
Ensure that replacing is enabled in Tools->AutoCorrct options.
and in Format->Character on first tab language is English
Comment 45 Alessandro Ceschini 2013-06-08 11:27:20 UTC
(In reply to comment #44)
> in 3.6.5.2 it also works correctly.
> Ensure that replacing is enabled in Tools->AutoCorrct options.
> and in Format->Character on first tab language is English

Yes, I' done so, I'd changed language to English (U.K.) or even English (U.S.A.), but to no avail.
Comment 46 Paddy Landau 2013-06-08 12:24:49 UTC
(In reply to comment #43)
> If I do so I shall uninstall the version provided by the Software Centre.

Yes. Uninstall the existing version (you don't say which distribution or version of Linux you are using). Then follow the instructions on the Libre Office download page and use your package manager to install from the terminal. It's pretty easy.

If you still have problems, this isn't the place to ask; instead, ask on your distribution's help forum, or on a generic Linux forum.
Comment 47 Alessandro Ceschini 2013-06-08 13:31:48 UTC
(In reply to comment #46)
> (In reply to comment #43)
> > If I do so I shall uninstall the version provided by the Software Centre.
> 
> Yes. Uninstall the existing version (you don't say which distribution or
> version of Linux you are using). Then follow the instructions on the Libre
> Office download page and use your package manager to install from the
> terminal. It's pretty easy.
> 
> If you still have problems, this isn't the place to ask; instead, ask on
> your distribution's help forum, or on a generic Linux forum.

As I said, I'm running LO 4.0.2.2 on Ubuntu 13.04, I'm going to check on the Ubuntu forum whether Ubuntu users are experiencing my same problem with the bundled version. Going through the installation process is something I'd like to avoid as far as it's possible since it's a nightmare tampering with dependencies afterwards, it' not advisable to uninstall the bundled version unless it's strictly necessary.
Comment 48 Paddy Landau 2013-06-08 13:43:09 UTC
(In reply to comment #47)
> As I said, I'm running LO 4.0.2.2 on Ubuntu 13.04

Sorry, I missed that.

> … it's a nightmare tampering with dependencies afterwards

On 12.04, there are no dependency problems whatsoever. I have not tried LO on 13.04 recently, but when I did try, it was flawless. You just have to remember to uninstall the existing LO first. If it doesn't work to your liking, it's very easy to uninstall it and reinstall from the Software Centre.
Comment 49 Kumāra 2013-08-24 04:03:32 UTC
(In reply to comment #45)
> (In reply to comment #44)
> > in 3.6.5.2 it also works correctly.
> > Ensure that replacing is enabled in Tools->AutoCorrct options.
> > and in Format->Character on first tab language is English
> 
> Yes, I' done so, I'd changed language to English (U.K.) or even English
> (U.S.A.), but to no avail.

Can you double-check if BOTH language settings in
   Tools > AutoCorrect Options
and
   Format > Character > Font
are set to the same English language?
Comment 50 Alessandro Ceschini 2013-08-24 10:53:59 UTC
(In reply to comment #49)
> (In reply to comment #45)
> > (In reply to comment #44)
> > > in 3.6.5.2 it also works correctly.
> > > Ensure that replacing is enabled in Tools->AutoCorrct options.
> > > and in Format->Character on first tab language is English
> > 
> > Yes, I' done so, I'd changed language to English (U.K.) or even English
> > (U.S.A.), but to no avail.
> 
> Can you double-check if BOTH language settings in
>    Tools > AutoCorrect Options
> and
>    Format > Character > Font
> are set to the same English language?

Hello Kumara,

I cannot change the language on Tools > Autocorrect, it's stuck on French, although the Format > Character > Font language is indeed English (U.K.). This on LO 4.1 on Ubuntu 13.04.
Comment 51 Kumāra 2013-08-25 00:42:28 UTC
(In reply to comment #50)
> I cannot change the language on Tools > Autocorrect, it's stuck on French,
> although the Format > Character > Font language is indeed English (U.K.).
> This on LO 4.1 on Ubuntu 13.04.

I don't use Ubuntu, but let me assume it's the same on the Windows version for now.

By "stuck" do you mean it's dimmed (greyed)? If so, please click on the Replace tab first, and see if you can change it there. Then see if it works. In the Localised Options tab, the "Format ordinal number suffixes" must of course be ticked.

(FYI, it's already set in French probably because it is so at Tools > Options > Languages > Locale setting)
Comment 52 dE 2013-08-25 03:49:08 UTC
4.0.4.2 fixed Gentoo, English (US)
Comment 53 Alessandro Ceschini 2013-08-25 10:47:33 UTC
(In reply to comment #51)
> (In reply to comment #50)
> > I cannot change the language on Tools > Autocorrect, it's stuck on French,
> > although the Format > Character > Font language is indeed English (U.K.).
> > This on LO 4.1 on Ubuntu 13.04.
> 
> I don't use Ubuntu, but let me assume it's the same on the Windows version
> for now.
> 
> By "stuck" do you mean it's dimmed (greyed)? If so, please click on the
> Replace tab first, and see if you can change it there. Then see if it works.
> In the Localised Options tab, the "Format ordinal number suffixes" must of
> course be ticked.
> 
> (FYI, it's already set in French probably because it is so at Tools >
> Options > Languages > Locale setting)

OK, I did so but ordinal numbers still don't receive the expected treating. :(
Comment 54 dE 2013-08-25 14:31:42 UTC
> OK, I did so but ordinal numbers still don't receive the expected treating.
> :(

I bet Ubuntu packagers did something fishy with the package. Why not try downloading the offical RPM, extract every rpm in the same directory and run LO from there?
Comment 55 Alessandro Ceschini 2013-08-26 11:26:07 UTC
(In reply to comment #54)
> > OK, I did so but ordinal numbers still don't receive the expected treating.
> > :(
> 
> I bet Ubuntu packagers did something fishy with the package. Why not try
> downloading the offical RPM, extract every rpm in the same directory and run
> LO from there?

Indeed, I'm not running the RPM, but the PPA directly from LO site, Ubuntu 13.04's default version is actually 4.0 not 4.1. I've switched to the PPA version as suggested by someone in this thread in order to check whether the problem was due to the particular implementation in Ubuntu or not. The problem is still there.
Comment 56 Björn Michaelsen 2013-08-29 20:51:54 UTC
checked with 4.1.1 from Ubuntu 13.10 (saucy) -- bug not reproducable, so not an Ubuntu issue. Either some weird deps/ppas or a dirty profile.
Comment 57 dE 2013-08-30 03:55:12 UTC
In that case try renaming ~/.config/libreoffice to something else.
Comment 58 dE 2013-08-30 03:55:36 UTC
DO NOT DELETE IT. It may be needed to see what's the issue.
Comment 59 zian rizky 2018-11-25 07:41:09 UTC Comment hidden (spam)